<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroLinksBuilder implements Builder {
	protected $rel;
	protected $href;
	protected $media;
	protected $type;

	public function build(): PagSeguroLinks {

		$obj = new PagSeguroLinks();
		$obj->setRel( $this->rel );
		$obj->setHref( $this->href );
		$obj->setMedia( $this->media );
		$obj->setType( $this->type );

		return $obj;

	}

	/**
	 *
	 * @param mixed $rel
	 */
	public function setRel($rel): PagSeguroLinksBuilder {

		$this->rel = $rel;
		return $this;

	}

	/**
	 *
	 * @param mixed $href
	 */
	public function setHref($href): PagSeguroLinksBuilder {

		$this->href = $href;
		return $this;

	}

	/**
	 *
	 * @param mixed $media
	 */
	public function setMedia($media): PagSeguroLinksBuilder {

		$this->media = $media;
		return $this;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type): PagSeguroLinksBuilder {

		$this->type = $type;
		return $this;

	}

}

